List custom field value for an employment

Returns a list of custom field values for a given employment

Authentication

This endpoint accepts any one of the following token types:

  • Company-scoped access token (OAuth2AuthorizationCode) — obtained by a company manager through the Authorization Code flow or the Refresh Token flow. See Authentication for partners.
  • Company-scoped access token (assertion) (OAuth2CompanyManagerAssertion) — obtained through the urn:ietf:params:oauth:grant-type:jwt-bearer grant for a company manager. See OAuth Assertion.
  • Customer API token (CustomerAPIToken) — generated by the customer on their Integration Settings page, with the scopes they choose there. See Authorization for customers.

Scopes

Any one of the scopes in a token type's row is enough. all:read and all:write work too.

Token typeCategoryRead only ScopeWrite only Scope (read access implicit)
Company-scoped access tokenManage employments (employments)View custom field values (custom_field_value:read)Manage custom field values (custom_field_value:write)
Company-scoped access token (assertion)Manage employments (employments)View custom field values (custom_field_value:read)Manage custom field values (custom_field_value:write)
Customer API tokenManage employments (employments)View custom field values (custom_field_value:read)Manage custom field values (custom_field_value:write)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Employment ID

Query Params
integer
≥ 1
Defaults to 1

Starts fetching records after the given page

integer
1 to 100
Defaults to 20

Number of items per page

Responses

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json